Bug 166193 - Review Request: perl-Class-DBI-Plugin-RetrieveAll : More complex retrieve_all() for Class::DBI
Summary: Review Request: perl-Class-DBI-Plugin-RetrieveAll : More complex retrieve_all...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: David Lawrence
URL: http://search.cpan.org/dist/Class-DBI...
Whiteboard:
Depends On: 166184 166192
Blocks: FE-ACCEPT 166203
TreeView+ depends on / blocked
 
Reported: 2005-08-17 20:38 UTC by Tom "spot" Callaway
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-07 19:02:08 UTC


Attachments (Terms of Use)
Patch addressing review issues (1.53 KB, patch)
2005-08-31 11:28 UTC, Paul Howarth
no flags Details | Diff

Description Tom "spot" Callaway 2005-08-17 20:38:11 UTC
Spec Name or Url: 
http://www.auroralinux.org/people/spot/review/Maypole/perl-Class-DBI-Plugin-RetrieveAll.spec

SRPM Name or Url:
http://www.auroralinux.org/people/spot/review/Maypole/perl-Class-DBI-Plugin-RetrieveAll-1.01-2.src.rpm

Description: 

More complex retrieve_all() for Class::DBI

(NOTE: This package is one of the Maypole dependencies)

Comment 1 Paul Howarth 2005-08-31 11:26:58 UTC
Review:

- rpmlint clean
- package and spec file naming OK
- package meets guidelines
- license same as perl, matches spec
- spec written in English and legible
- source matches upstream
- builds in mock for FC4 (i386)
- BR's mostly OK
- no locales, libraries, subpackages or pkgconfigs to worry about
- not relocatable
- no directory ownership or permissions issues
- no duplicate files
- %clean section present and correct
- macro usage is consistent
- code, not content
- no large docs
- docs don't affect runtime
- no scriptlets

Needswork:

- BR: perl is redundant
- license text not included

Nitpick:

- use %{?_smp_mflags} with make in %build
- add BR: perl(DBD::SQLite) for %check



Comment 2 Paul Howarth 2005-08-31 11:28:04 UTC
Created attachment 118293 [details]
Patch addressing review issues

Comment 4 Paul Howarth 2005-09-02 07:04:56 UTC
Approved.


Note You need to log in before you can comment on or make changes to this bug.